Bug 188849 - CVE-2006-1741 Cross-site JavaScript injection using event handlers
CVE-2006-1741 Cross-site JavaScript injection using event handlers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:57 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 11:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:57:46 EDT
Cross-site JavaScript injection using event handlers


shutdown reported a method of injecting running JavaScript code into a page
on another site using a modal alert to suspend an event handler while a new
page is being loaded. This vulnerability allows an attacker to steal any
confidential information the new page might contain, including any passwords
and cookies which might allow the attacker to log on to that site as the
victim.

shutdown also reported a variant using the two-argument form of eval() that
did  not  require  a  modal  dialog  and would be much less obtrusive.
moz_bug_r_a4 reported two variants that bypassed our initial fixes, one
using  "new  Script()",  the  other  extending the eval() attack using
window.__proto__

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

Original vulnerability:
[1]https://bugzilla.mozilla.org/show_bug.cgi?id=296514
Firefox 1.5 fix:
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=296639
Alternate fix for Firefox 1.0.8/Mozilla Suite 1.7.13:
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=316589
Variants:
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=311024
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=311619
[6]https://bugzilla.mozilla.org/show_bug.cgi?id=316589


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 09:10:07 EDT
Lifting embargo
Comment 2 Matěj Cepl 2007-07-18 13:32:52 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 11:02:58 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.